ServerEvents.recipes(event => {
  //处理器
  event.remove({ output: 'ae2:logic_processor' })
  event.recipes.create.sequenced_assembly('ae2:logic_processor', 'ae2:printed_silicon', [
    event.recipes.createDeploying('ae2:printed_silicon', ['ae2:printed_silicon', 'ae2:printed_logic_processor']),
    event.recipes.createDeploying('ae2:printed_silicon', ['ae2:printed_silicon', 'tfmg:bitumen']),
    event.recipes.createPressing('ae2:printed_silicon', 'ae2:printed_silicon'),
    event.recipes.createDeploying('ae2:printed_silicon', ['ae2:printed_silicon', 'minecraft:redstone']),
  ]).transitionalItem('ae2:printed_silicon').loops(1)
  event.remove({ output: 'ae2:calculation_processor' })
  event.recipes.create.sequenced_assembly('ae2:calculation_processor', 'ae2:printed_silicon', [
    event.recipes.createDeploying('ae2:printed_silicon', ['ae2:printed_silicon', 'ae2:printed_calculation_processor']),
    event.recipes.createDeploying('ae2:printed_silicon', ['ae2:printed_silicon', 'tfmg:bitumen']),
    event.recipes.createPressing('ae2:printed_silicon', 'ae2:printed_silicon'),
    event.recipes.createDeploying('ae2:printed_silicon', ['ae2:printed_silicon', 'minecraft:redstone']),
  ]).transitionalItem('ae2:printed_silicon').loops(1)
  event.remove({ output: 'ae2:engineering_processor' })
  event.recipes.create.sequenced_assembly('ae2:engineering_processor', 'ae2:printed_silicon', [
    event.recipes.createDeploying('ae2:printed_silicon', ['ae2:printed_silicon', 'ae2:printed_engineering_processor']),
    event.recipes.createDeploying('ae2:printed_silicon', ['ae2:printed_silicon', 'tfmg:bitumen']),
    event.recipes.createPressing('ae2:printed_silicon', 'ae2:printed_silicon'),
    event.recipes.createDeploying('ae2:printed_silicon', ['ae2:printed_silicon', 'minecraft:redstone']),
  ]).transitionalItem('ae2:printed_silicon').loops(1)
})